Holger's Java API

## com.antelmann.util
Interface Processor<T,E extends Exception>

Type Parameters:
  `T` - the type to be processed
  `E` - the Exception type allowed to be thrown

All Known Implementing Classes:
  ProcessorList

    public interface Processor<T,E extends Exception>

a generic callback mechanism to handle and/or substitute objects while being able to throw a declared Exception

Since:
  06.11.2008, 23:55:20
Author:
  Holger Antelmann
See Also:
  `Handler`

Method Summary
`T` `process(T object)`

Method Detail

### process

    T process(T object)
              throws E extends Exception

  Throws:
    `E extends Exception`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads